# Class CIM_MediaAccessStatInfo
extends CIM_DeviceStatisticalInformation

Statistics related to reading and writing at a specific MediaAccessDevice, or for a specific StorageExtent. Although the same class is used to represent this data, at the instance level the object holds information for the MediaAccessDevice (independent of the StorageExtent), OR for the Extent (independent of its AccessDevice). Note that this class models the same properties as MediaAccessStatData. The latter, however, uses the simplified key mechanisms of the StatisticalData class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_DeviceStatisticalInformation
|
+--CIM_MediaAccessStatInfo

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Statistics related to reading and writing at a specific MediaAccessDevice, or for a specific StorageExtent. Although the same class is used to represent this data, at the instance level the object holds information for the MediaAccessDevice (independent of the StorageExtent), OR for the Extent (independent of its AccessDevice). Note that this class models the same properties as MediaAccessStatData. The latter, however, uses the simplified key mechanisms of the StatisticalData class.

UMLPackagePath | string | CIM::Device::StorageDevices
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ReadOperations | uint64 |
Counter | boolean | true
Description | string | The number of attempted read operations.
RecoveredReadOperations | uint64 |
Counter | boolean | true
Description | string | The number of recovered read operations.
RecoveredSeekOperations | uint64 |
Counter | boolean | true
Description | string | The number of recovered seek operations.
RecoveredWriteOperations | uint64 |
Counter | boolean | true
Description | string | The number of recovered write operations.
UnrecoverableReadOperations | uint64 |
Counter | boolean | true
Description | string | The number of unrecoverable read operations.
UnrecoverableSeekOperations | uint64 |
Counter | boolean | true
Description | string | The number of unrecoverable seek operations.
UnrecoverableWriteOperations | uint64 |
Counter | boolean | true
Description | string | The number of unrecoverable write operations.
WriteOperations | uint64 |
Counter | boolean | true
Description | string | The number of attempted write operations.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_DeviceStatisticalInformation
Description | string | CIM_ManagedElement
DeviceCreationClassName | string | CIM_DeviceStatisticalInformation
DeviceID | string | CIM_DeviceStatisticalInformation
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_DeviceStatisticalInformation
SystemCreationClassName | string | CIM_DeviceStatisticalInformation
SystemName | string | CIM_DeviceStatisticalInformation

## Class Methods

### Local Class Methods

#### ResetCounter (uint32)

#### Method Qualifiers (ResetCounter)

Name | Data Type | Value
--- | --- | ---

Description

string

Method to reset the statistical counters. The method takes one parameter as input - an integer indicating which counter to reset. For this input parameter, 0 indicates all, 1-2 and 5 reset the 'read operation'-related counters, 3-4 and 6 reset the 'write operation'-related counters, and 7-8 reset the seek-related counters. The method returns 0 if successful, 1 if not supported, and any other value if an error occurred. A method is specified so that the Device's instrumentation can also reset its internal processing and counters. In a subclass, the set of possible return codes should be specified in a ValueMap qualifier on the method. The strings to which the ValueMap contents are 'translated' can be specified as a Values array qualifier.

#### Method Parameters (ResetCounter)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
SelectedCounter | uint16
Description | string | The counter to reset.
IN | boolean | true
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8
Values | string | All, Read Operations, Unrecoverable Read Operations, Write Operations, Unrecoverable Write Operations, Recovered Read Operations, Recovered Write Operations, Recovered Seeks, Unrecoverable Seeks